Upstream information

CVE-2022-23526 at MITRE

Description

Helm is a tool for managing Charts, pre-configured Kubernetes resources. Versions prior to 3.10.3 are subject to NULL Pointer Dereference in the_chartutil_ package that can cause a segmentation violation. The _chartutil_ package contains a parser that loads a JSON Schema validation file. For example, the Helm client when rendering a chart will validate its values with the schema file. The _chartutil_ package parses the schema file and loads it into structures Go can work with. Some schema files can cause array data structures to be created causing a memory violation. Applications that use the _chartutil_ package in the Helm SDK to parse a schema file can suffer a Denial of Service when that input causes a panic that cannot be recovered from. Helm is not a long running service so the panic will not affect future uses of the Helm client. This issue has been patched in 3.10.3. SDK users can validate schema files that are correctly formatted before passing them to the _chartutil_ functions.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having low severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.5 3.7
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:L
Attack Vector Network Network
Attack Complexity Low High
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High Low
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1206471 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Container suse/helm:3.11-2.7
Image SLES15-SP4-SUSE-Rancher-Setup-BYOS
Image SLES15-SP4-SUSE-Rancher-Setup-BYOS-EC2
  • helm >= 3.10.3-150000.1.13.1
SUSE CaaS Platform 4.0
  • helm3 >= 3.3.3-150100.1.15.1
Patchnames:
SUSE-SUSE-CAASP-4.0-2024-56
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Containers 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • helm >= 3.10.3-150000.1.13.1
  • helm-bash-completion >= 3.10.3-150000.1.13.1
  • helm-zsh-completion >= 3.10.3-150000.1.13.1
Patchnames:
SUSE-SLE-Module-Containers-15-SP4-2022-4606
SUSE Linux Enterprise High Performance Computing 15 SP5
SUSE Linux Enterprise Module for Containers 15 SP5
SUSE Linux Enterprise Server 15 SP5
SUSE Linux Enterprise Server for SAP Applications 15 SP5
  • helm >= 3.10.3-150000.1.13.1
  • helm-bash-completion >= 3.10.3-150000.1.13.1
  • helm-zsh-completion >= 3.10.3-150000.1.13.1
Patchnames:
SUSE Linux Enterprise Module for Containers 15 SP5 GA helm-3.11.2-150000.1.21.1
SUSE Linux Enterprise Module for Package Hub 15 SP4
  • helm-fish-completion >= 3.10.3-150000.1.13.1
Patchnames:
SUSE-SLE-Module-Packagehub-Subpackages-15-SP4-2022-4606
SUSE Linux Enterprise Module for Package Hub 15 SP5
  • helm-fish-completion >= 3.10.3-150000.1.13.1
Patchnames:
SUSE Linux Enterprise Module for Package Hub 15 SP5 GA helm-3.11.2-150000.1.21.1
openSUSE Leap 15.3
  • helm >= 3.10.3-150000.1.13.1
  • helm-bash-completion >= 3.10.3-150000.1.13.1
  • helm-fish-completion >= 3.10.3-150000.1.13.1
  • helm-zsh-completion >= 3.10.3-150000.1.13.1
Patchnames:
openSUSE-SLE-15.3-2022-4606
openSUSE Leap 15.4
  • helm >= 3.10.3-150000.1.13.1
  • helm-bash-completion >= 3.10.3-150000.1.13.1
  • helm-fish-completion >= 3.10.3-150000.1.13.1
  • helm-zsh-completion >= 3.10.3-150000.1.13.1
Patchnames:
openSUSE-SLE-15.4-2022-4606
openSUSE Tumbleweed
  • helm >= 3.10.3-2.1
  • helm-bash-completion >= 3.10.3-2.1
  • helm-fish-completion >= 3.10.3-2.1
  • helm-zsh-completion >= 3.10.3-2.1
Patchnames:
openSUSE Tumbleweed GA helm-3.10.3-2.1


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 helm Affected
SUSE Linux Enterprise High Performance Computing 15 SP5 helm Released
SUSE Linux Enterprise Module for Containers 15 SP5 helm Released
SUSE Linux Enterprise Module for Package Hub 15 SP4 helm Released
SUSE Linux Enterprise Module for Package Hub 15 SP5 helm Released
SUSE Linux Enterprise Server 15 SP5 helm Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 helm Released
SUSE Linux Enterprise Server for SAP Applications 15 SP5 helm Released
SUSE Manager Proxy 4.3 helm Released
SUSE Manager Retail Branch Server 4.3 helm Released
SUSE Manager Server 4.3 helm Released
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Performance Computing 15 SP3 helm Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS helm Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS helm Affected
SUSE Linux Enterprise High Performance Computing 15 SP4 helm Released
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS helm Affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS helm Affected
SUSE Linux Enterprise Module for Containers 15 SP3 helm Unsupported
SUSE Linux Enterprise Module for Containers 15 SP4 helm Released
SUSE Linux Enterprise Server 15 SP3 helm Unsupported
SUSE Linux Enterprise Server 15 SP3-LTSS helm Affected
SUSE Linux Enterprise Server 15 SP4 helm Released
SUSE Linux Enterprise Server 15 SP4-LTSS helm Affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP3 helm Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP3 helm Unsupported
Products past their end of life and not receiving proactive updates anymore.
SUSE CaaS Platform 4.0 helm Unsupported
SUSE CaaS Platform 4.0 helm3 Released
SUSE Linux Enterprise Module for Package Hub 15 SP3 helm Unsupported
SUSE Linux Enterprise Server 15 SP3-BCL helm Affected
SUSE Manager Proxy 4.2 helm Unsupported
SUSE Manager Retail Branch Server 4.2 helm Unsupported
SUSE Manager Server 4.2 helm Unsupported
openSUSE Leap 15.3 helm Released
openSUSE Leap 15.4 helm Released
Container Status
suse/helm helmReleased


SUSE Timeline for this CVE

CVE page created: Fri Dec 16 07:29:01 2022
CVE page last modified: Tue Jan 9 00:34:03 2024